/*
 * Class reference CHARACTER_8
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_187 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_187 [] = {0xFF01,237,186,0xFFFF};
static const EIF_TYPE_INDEX egt_2_187 [] = {0xFF01,186,0xFFFF};
static const EIF_TYPE_INDEX egt_3_187 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_187 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_187 [] = {0xFF01,186,0xFFFF};
static const EIF_TYPE_INDEX egt_6_187 [] = {0xFF01,186,0xFFFF};
static const EIF_TYPE_INDEX egt_7_187 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_187 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_187 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_187 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_187 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_187 [] = {0xFF01,186,0xFFFF};
static const EIF_TYPE_INDEX egt_13_187 [] = {0xFF01,186,0xFFFF};
static const EIF_TYPE_INDEX egt_14_187 [] = {0xFF01,186,0xFFFF};
static const EIF_TYPE_INDEX egt_15_187 [] = {0xFF01,186,0xFFFF};
static const EIF_TYPE_INDEX egt_16_187 [] = {0xFF01,184,0xFFFF};
static const EIF_TYPE_INDEX egt_17_187 [] = {0xFF01,710,197,0xFFFF};


static const struct desc_info desc_187[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_187), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_187), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10149, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_187), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_187), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_187), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_187), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_187), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_187), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_187), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_187), 10156, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_187), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_187), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_187), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_187), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10144, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10148, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_187), 1457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_187), 1458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10141, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 10170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 10143, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10145, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10146, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10147, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10150, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10151, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10152, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10153, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10154, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10155, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10157, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_187), 10158, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10159, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 10171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10162, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10165, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10166, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10123, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10124, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10125, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10126, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10127, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10128, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10129, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10130, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10131, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_187), 10132, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10133, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10134, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10135, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10136, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10137, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10138, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10139, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10140, 0xFFFFFFFF},
};
void Init187(void)
{
	IDSC(desc_187, 0, 186);
	IDSC(desc_187 + 1, 1, 186);
	IDSC(desc_187 + 32, 248, 186);
	IDSC(desc_187 + 34, 203, 186);
	IDSC(desc_187 + 38, 288, 186);
	IDSC(desc_187 + 41, 306, 186);
}


#ifdef __cplusplus
}
#endif
